Subject: Re: linux-next: build failure after merge of the akpm tree

From: Mark Brown <[email-masked]>
Date: Tue, 28 Feb 2012 12:00:37 +0000

On Tue, Feb 28, 2012 at 04:58:57PM +1100, Stephen Rothwell wrote:

> Caused by commits ac8d91c80190 ("regmap: Supply ranges to the sync
> operations" and a0941e562e80 ("regmap: Fix x86_64 breakage") from the
> regmap tree interacting with commits "bitops: rename for_each_set_bit_cont()
> in favor of analogous list.h function" and "bitops: remove
> for_each_set_bit_cont()" from the akpm tree.

Oh, that explains what went wrong there!  I had thought that
for_each_set_bit_from() must be ARM-specific somehow when I saw your
report and didn't actually reexamime on ARM when fixing up as _cont was
in the header (admittedly I was in a rush doing the fixup).

> -	for_each_set_bit_cont(i, lzo_blocks[0]->sync_bmp,
> +	for_each_set_bit_from(i, lzo_blocks[0]->sync_bmp,

That looks about right, yes.  Not sure what the best way to handle this
is, perhaps maintain _cont() for a while?